package GUI;

import java.awt.*;

public class DispCard {

    private Frame frame;
    private Label etiqueta[];
    private Panel panel[];
    private CardLayout card;

    public DispCard() {
        frame = new Frame("Card");
        etiqueta = new Label[3];
        panel = new Panel[3];
        for (int i = 0; i < etiqueta.length; i++) {
            etiqueta[i] = new Label("" + i);
            panel[i] = new Panel();
        }
        card = new CardLayout();
    }

    public void run() {
        frame.setLayout(card);
        for (int i = 0; i < etiqueta.length; i++) {
            panel[i].setBackground(new Color(
                    (int) (Math.random() *
                    Integer.MAX_VALUE)));
            panel[i].add(etiqueta[i]);
            frame.add(panel[i], "" + i);
        }
        card.show(frame, "2");
        frame.pack();
        frame.setVisible(true);
        for (int i = 0, length = etiqueta.length * 2;
                i < length; i++) {
            try {
                Thread.sleep(2000);
            } catch (InterruptedException e) {
            }
            card.next(frame);
        }
    }

    public static void main(String args[]) {
        DispCard demo = new DispCard();
        demo.run();
    }
}