package GUI;

import java.awt.*;
import java.awt.event.*;

public class EvBotonEx3 {

    Frame frame;
    Button boton1;
    Button boton2;

    public EvBotonEx3() {
        frame = new Frame("Demo de la Estrategia 3");
        boton1 = new Button("BOTON 1");
        boton2 = new Button("BOTON 2");
    }

    public void run() {
        boton1.setFont(new Font("Serif", Font.BOLD, 16));
        boton2.setFont(new Font("Roman", Font.ITALIC, 24));
        boton1.addActionListener(new ManejaBoton());
        boton2.addActionListener(new ManejaBoton());
        frame.setLayout(new GridLayout(1, 2));
        frame.add(boton1);
        frame.add(boton2);
        frame.setSize(300, 125);
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        EvBotonEx3 demo = new EvBotonEx3();
        demo.run();
    }

    public class ManejaBoton implements ActionListener {

        private int cnt;

        public void actionPerformed(ActionEvent evento) {
            Button botonActivo = (Button) evento.getSource();
            botonActivo.setLabel("Click : " + ++cnt);
        }
    }
}

