package IO;

import java.io.*;

public class IOBuffer {

    public static void main(String[] args) {
        try {
            FileReader input = new FileReader(args[0]);
            BufferedReader bufInput = new BufferedReader(input);
            FileWriter output = new FileWriter(args[1]);
            BufferedWriter bufOutput = new BufferedWriter(output);
            String line;

            // Lectura del archivo 
            // se extraen datos usando el buffer 
            // se almacenan en el nuevo archivo 
            // hasta encontrar el fin de archivo
            line = bufInput.readLine();
            while (line != null) {
                bufOutput.write(line, 0, line.length());
                bufOutput.newLine();
                line = bufInput.readLine();
            }
            bufInput.close();
            bufOutput.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

