package GUI;

import java.awt.*;
import java.awt.event.*;

public class EvBotonEx2 implements ActionListener {

    Frame frame;
    Button boton1;
    Button boton2;
    int cnt1;
    int cnt2;

    public EvBotonEx2() {
        frame = new Frame("Demo de la Estrategia 2");
        boton1 = new Button("BOTON 1");
        boton2 = new Button("BOTON 2");
        cnt1 = 0;
        cnt2 = 0;
    }

    public void run() {
        boton1.setFont(new Font("Serif", Font.BOLD, 16));
        boton2.setFont(new Font("Roman", Font.ITALIC, 24));
        boton1.addActionListener(this);
        boton2.addActionListener(this);
        frame.setLayout(new GridLayout(1, 2));
        frame.add(boton1);
        frame.add(boton2);
        frame.setSize(300, 125);
        frame.setVisible(true);
    }

    public static void main(String[] args) {
        EvBotonEx2 demo = new EvBotonEx2();
        demo.run();
    }

    public void actionPerformed(ActionEvent evento) {
        System.out.println(evento.toString());
        Button botonActivo = (Button) evento.getSource();
        if (botonActivo.equals(boton1)) {
            botonActivo.setLabel("Click : " + ++cnt1);
        } else {
            botonActivo.setLabel("Click : " + ++cnt2);
        }
    }
}

