package Networking;

import java.io.*;
import java.net.*;

public class SimpleClient {

    public static void main(String[] args) {
        try {
            // abre conexion en puerto 5432
            Socket s1 = new Socket("127.0.0.1", 5432);
            // lectura-escritura
            BufferedReader br = new BufferedReader(
                    new InputStreamReader(s1.getInputStream()));
            System.out.println(br.readLine());
            // cierra conexion
            br.close();
            s1.close();
        } catch (ConnectException connExc) {
            System.err.println(
                    "No es posible conectarse con el servidor");
        } catch (IOException e) {
        }
    }
}    